| Home | Libraries | People | FAQ | More

#### iless

A case-insensitive less predicate for strings.

##### Synopsis

Defined in header `<boost/beast/core/string.hpp>`

    struct iless

##### Types

Name | Description
--- | ---
is_transparent |

##### Member Functions

Name | Description
--- | ---
operator() |

##### Description

The case-comparison operation is defined only for low-ASCII characters.

As of C++14, containers using this class as the `Compare` type will take part in heterogeneous lookup if the search term is implicitly convertible to `string_view`.